<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<style>
table, th, td {
  border: 1px solid black;
  border-collapse: collapse;
}
</style>
<title>Distran Broker</title>
</head>
<body>
<h1>Distran - Distributed Transcoded - Broker</h1>
<br>
<main role="main" class="container">
	<div>
		<h3>Registered transcoders</h3>
		<div th:if="${transcoders != null && !transcoders.empty}">
			<table >
				<tr>
					<th style="text-align: center;" >Name</th>
					<th style="text-align: right;" >Assignments</th>
					<th style="text-align: right;" >Accumulated utility</th>
					<th style="text-align: right;" >Trust</th>
					<th style="text-align: right;" >Reliability</th>
				</tr>
				<tr th:each="transcoder : ${transcoders}">
					<td style="text-align: center;" ><span th:text="${transcoder.name}" >name</span></td>
					<td style="text-align: right;" ><span th:text="${transcoder.numOfSegments}" >0</span></td>
					<td style="text-align: right;" ><span th:text="${#numbers.formatDecimal(transcoder.totalUtility, 1, 'COMMA', 4, 'POINT')}" >0.0</span></td>					
					<td style="text-align: right;" ><span th:text="${#numbers.formatDecimal(transcoder.trustworth, 1, 'COMMA', 4, 'POINT')}" >0.0</span></td>
					<td style="text-align: right;" ><span th:text="${#numbers.formatDecimal(transcoder.reliability, 1, 'COMMA', 4, 'POINT')}" >0.0</span></td>															
				</tr>
			</table>
		</div>
		<div th:if="${transcoders == null || transcoders.empty}">
			<p>There is no registered transcoder at the moment.</p>
		</div>
	</div>
	<br>
	<br>
	<div>
		<h3>Check out the streamings being transcoded now</h3>
			<div th:if="${jobs == null || jobs.empty}">
				<p>There is no streaming being played at the moment.</p>
			</div>
			<div th:if="${jobs != null && !jobs.empty}">
				<ul>
					<li th:each="job : ${jobs}">
						<span th:text="${job}" />&nbsp;
        				<a th:href="'play/'+${job}" >Play</a>&nbsp;
        				<span>Stop</span>&nbsp;        				
					</li>
				</ul>		
			</div>
	</div>
	<br>
	<br>	
	<div>
		<h3>Start a new distributed transcoding right now</h3>
		<form action="#" th:action="@{/}" th:object="${hlsFile}" method="post" >
			<div>
				<p><label for="name">Descriptive name*:</label><input id="name" th:field="*{name}" type="text" size="25" maxlength="20" /></p>		
				<p><label for="url">URL*:</label><input id="url" th:field="*{url}" type="text" size="80" /></p>
	    	   	<p><input type="submit" value="Submit"/></p>
	    	   	<p>* Must be a m3u8 file URL</p>
	    	</div>
		</form>
	</div>
</main>
</body>
</html>